
Redmine - Defect #31093

Duplicate method definition:

ProjectsControllerTest#test_jump_should_not_redirect_to_unknown_tab

2019-03-25 05:30 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed Affected version:  

Description

ProjectsControllerTest#test_jump_should_not_redirect_to_unknown_tab is defined twice at the following lines:

source:tags/4.0.2/test/functional/projects_controller_test.rb#L996 (added in r16172)

source:tags/4.0.2/test/functional/projects_controller_test.rb#L1019 (added in r2210)

Currently, only the latter method is working.

Associated revisions

Revision 18267 - 2019-06-20 08:33 - Jean-Philippe Lang

Duplicate method definition in tests (#31093).

History

#1 - 2019-03-25 05:35 - Go MAEDA

- Assignee set to Jean-Philippe Lang

- Target version set to 4.1.0

#2 - 2019-06-20 08:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r18267, thanks.
